function init()
	gun.name = "Pitchfork"
	gun.fireDelay = 200
	gun.shotrange = 800
	gun.shotspeed = 900
	gun.shotdamage = .85
	gun.shotknockback = 3000
	gun.burstDelay = 30
	
	gun.coolTime = 3000

	return 0
end

function update()

	return 0
end

function fire()

	--don't overheat on most shots
	gun.overheat = 0
	
	--make three shots going out at 15d angles
	spread = 15
	for i = -1, 1 do
		gun.addShot("shot6.png", gun.firex, gun.firey, gun.firetheta + spread*i)
		shot.scale = .75

		--attach a trail emitter to the shot
		stage.createEmitter("trail", 0, 0)
		e.interval = 10
		e.scale = .8
		e.lifetimer = 350
		e.setRGB(0,190,255)
		--e.scale = .5
		e.attach(shot)
		e.upload()
	end
		
	gun.sfx("gun_pew1.wav", gun.firex, gun.firey)
	
	return 0
end

function shot_update()

	return 0
end